function battle_jai006(npcID) --肥鬼

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	--判定男女人数
	nvren=0
	nanren=0
	allren=0
	--sex=0
	--sex={}
	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then 
	   allren=allren+1
	   pisd=battle.GetPlacePlayerID(pis)
	   if pisd==2 or pisd==8 or pisd==128 or pisd==512 then
	       nvren=nvren+1
		   --sex[pis]=2
	   else
	       nanren=nanren+1
		   --sex[pis]=1
	   end
	end
	end
	global.Print(nvren)
	global.Print(nanren)
	global.Print(allren)
	
	--针对性别的伤害系数、伤害增长系数、腥鬼压倒女人的频率系数
	if nvren==nanren then atknv=1 atknan=1 atkup=4 yadao=0.75
	elseif nvren>nanren then atknv=1.5 atknan=0.7 atkup=2 yadao=1
	else
	atknv=0.7 atknan=1.5 atkup=6 yadao=0.5
	end

	--处理伤害增长
	local nowatk=flag.GetBattleValue(16011)
	flag.SetBattleValue(16011,nowatk+atkup)
	global.Print(nowatk)
	--先统一随机好一个人物并确定攻击种类
	atktype=0
	id = battle.GetRndPlayer()
	if id==2 or id==8 or id==128 or id==512 then
	    atkscale=atknv*(1+nowatk/100)
		a = battle.GetRndNumber(1,50+50*yadao)
		if a<=50 then atktype=1 else atktype=3 end--1普攻2男人法术3女人法术
		if player.GetMP(id,1)==0 then atktype=1 end--没有神的话还是用普攻
	else
	    atkscale=atknan*(1+nowatk/100)
		a = battle.GetRndNumber(1,100)
		if a<=50 then atktype=1 else atktype=2 end
	end
	global.Print(atkscale)
	global.Print(atktype)
	
	local ti=flag.GetBattleValue(19053)
	ti=ti+1
	flag.SetBattleValue(19053,ti)
	
	
	l=npc.GetHP(npcID,1)
	m=flag.GetBattleValue(12955)
	flag.SetBattleValue(12955,l)
	
	flag.SetBattleValue(16012,0)
	
	
	if ti==1 then
	ui.Popo_Auto(170758,1,npcID,2,0)--嗝……好久没有见过女人了。
	wt(2)
	ui.Popo_Auto(170759,1,npcID,3,0)--女人助我恢复精元！\n男人增长我的战斗意志！
	wt(3)
	
	if nvren==0 then
	ui.Popo_Auto(170760,1,npcID,2,0)--怎么没有女人……！
	wt(2)
	flag.SetBattleValue(16012,1)
	battle.MagicToPlayer(0,1212,1)
	
	else
	battle.SetDamageScale(atkscale*1.5)
	battle.AtkToPlayer(id,1)     --普通攻击
	end
	
	
	else
	
	if nvren==0 or nanren==0 then
	--atktype=4
	ui.Popo_Auto(170757,1,npcID,2,0)--该好好享用一下战果啦！
	flag.SetBattleValue(16012,1)
	battle.MagicToPlayer(0,1212,1)
	
	else
    
	if l==100 then
		if atktype==1 then
		    battle.SetDamageScale(atkscale*1.5)
			battle.AtkToPlayer(id,1)     --普通攻击
		else
		    if atktype==3 then ui.Popo_Auto(170755,1,npcID,2,0) end--吸吧...吸干吧，采阴补阳，啧啧...
			battle.SetSkillScale(100*atkscale)
			battle.MagicToPlayer(id,1211,1)   --单体法术
		end
	else	
	    if m==0 then
     		if 100-l>7 then
				flag.SetBattleValue(19052,1)
				battle.MagicToPlayer(0,1212,1)
			else
			    if atktype==1 then
		            battle.SetDamageScale(atkscale*1.5)
			        battle.AtkToPlayer(id,1)     --普通攻击
		        else
		            if atktype==3 then ui.Popo_Auto(170755,1,npcID,2,0) end--吸吧...吸干吧，采阴补阳，啧啧...
			        battle.SetSkillScale(100*atkscale)
			        battle.MagicToPlayer(id,1211,1)   --单体法术
		        end
			end
		
		
		else

			if m-l>7 then
				flag.SetBattleValue(19052,1)
				battle.MagicToPlayer(0,1212,1)
			else
			    if atktype==1 then
		            battle.SetDamageScale(atkscale*1.5)
			        battle.AtkToPlayer(id,1)     --普通攻击
		        else
		            if atktype==3 then ui.Popo_Auto(170755,1,npcID,2,0) end--吸吧...吸干吧，采阴补阳，啧啧...
			        battle.SetSkillScale(100*atkscale)
			        battle.MagicToPlayer(id,1211,1)   --单体法术
		        end
			end
		end
	end

	end
	
	end
	
end